"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var window_1 = tslib_1.__importDefault(require("../../util/window"));
function useScrollRestore() {
    var scrollPosition = (0, react_1.useRef)(0);
    (0, react_1.useEffect)(function () {
        return function () {
            var _a;
            scrollPosition.current = (_a = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.scrollY) !== null && _a !== void 0 ? _a : -1;
        };
    }, []);
    (0, react_1.useEffect)(function () {
        window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.scrollTo(0, scrollPosition.current);
    }, []);
    function restoreScrollPosition() {
        window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.scrollTo(0, scrollPosition.current);
    }
    ;
    return restoreScrollPosition;
}
;
exports.default = useScrollRestore;
