"use client";
import { useState } from "react";
export default function useToggle(defaultValue) {
    var _a = useState(!!defaultValue), value = _a[0], setValue = _a[1];
    function toggleValue(value) {
        setValue(function (currentValue) { return typeof value === "boolean" ? value : !currentValue; });
    }
    return [value, toggleValue];
}
