"use client";
import useSize from './hooks/useSize';
import useArray from './hooks/useArray';
import useAsync from './hooks/useAsync';
import useHover from './hooks/useHover';
import useFetch from './hooks/useFetch';
import useScript from './hooks/useScript';
import useToggle from './hooks/useToggle';
import useTimeout from './hooks/useTimeout';
import useDarkMode from './hooks/useDarkMode';
import useDebounce from './hooks/useDebounce';
import useInterval from './hooks/useInterval';
import useOnScreen from './hooks/useOnScreen';
import usePrevious from './hooks/usePrevious';
import useLongPress from './hooks/useLongPress';
import useEffectOnce from './hooks/useEffectOnce';
import useMediaQuery from './hooks/useMediaQuery';
import useWindowSize from './hooks/useWindowSize';
import useGeolocation from './hooks/useGeolocation';
import useRenderCount from './hooks/useRenderCount';
import useTranslation from './hooks/useTranslation';
import useClickOutside from './hooks/useClickOutside';
import useOnlineStatus from './hooks/useOnlineStatus';
import useUpdateEffect from './hooks/useUpdateEffect';
import useDocumentTitle from './hooks/useDocumentTitle';
import useScrollRestore from './hooks/useScrollRestore';
import useEventListener from './hooks/useEventListener';
import useScrollPosition from './hooks/useScrollPosition';
import useCopyToClipboard from './hooks/useCopyToClipboard';
import useDebugInformation from './hooks/useDebugInformation';
import useStateWithHistory from './hooks/useStateWithHistory';
import useDeepCompareEffect from './hooks/useDeepCompareEffect';
import useStateWithValidation from './hooks/useStateWithValidation';
import useStorage, { useLocalStorage, useSessionStorage } from './hooks/useStorage';
var ReactHooks = {
    useSize: useSize,
    useArray: useArray,
    useAsync: useAsync,
    useHover: useHover,
    useFetch: useFetch,
    useScript: useScript,
    useToggle: useToggle,
    useStorage: useStorage,
    useTimeout: useTimeout,
    useDarkMode: useDarkMode,
    useDebounce: useDebounce,
    useInterval: useInterval,
    useOnScreen: useOnScreen,
    usePrevious: usePrevious,
    useLongPress: useLongPress,
    useEffectOnce: useEffectOnce,
    useMediaQuery: useMediaQuery,
    useWindowSize: useWindowSize,
    useGeolocation: useGeolocation,
    useRenderCount: useRenderCount,
    useTranslation: useTranslation,
    useLocalStorage: useLocalStorage,
    useOnlineStatus: useOnlineStatus,
    useUpdateEffect: useUpdateEffect,
    useClickOutside: useClickOutside,
    useDocumentTitle: useDocumentTitle,
    useScrollRestore: useScrollRestore,
    useEventListener: useEventListener,
    useScrollPosition: useScrollPosition,
    useSessionStorage: useSessionStorage,
    useCopyToClipboard: useCopyToClipboard,
    useDebugInformation: useDebugInformation,
    useStateWithHistory: useStateWithHistory,
    useDeepCompareEffect: useDeepCompareEffect,
    useStateWithValidation: useStateWithValidation,
};
export default ReactHooks;
export { useDebounce, useLongPress, useEffectOnce, useUpdateEffect, useClickOutside, useDocumentTitle, useScrollRestore, useEventListener, useDeepCompareEffect, };
export { default as useScrollPosition } from './hooks/useScrollPosition';
export { default as useSize } from './hooks/useSize';
export { default as useArray } from './hooks/useArray';
export { default as useAsync } from './hooks/useAsync';
export { default as useHover } from './hooks/useHover';
export { default as useFetch } from './hooks/useFetch';
export { default as useScript } from './hooks/useScript';
export { default as useToggle } from './hooks/useToggle';
export { default as useTimeout } from './hooks/useTimeout';
export { default as useDarkMode } from './hooks/useDarkMode';
export { default as useInterval } from './hooks/useInterval';
export { default as useOnScreen } from './hooks/useOnScreen';
export { default as usePrevious } from './hooks/usePrevious';
export { default as useMediaQuery } from './hooks/useMediaQuery';
export { default as useWindowSize } from './hooks/useWindowSize';
export { default as useRenderCount } from './hooks/useRenderCount';
export { default as useOnlineStatus } from './hooks/useOnlineStatus';
export { default as useTranslation } from './hooks/useTranslation';
export { default as useGeolocation } from './hooks/useGeolocation';
export { default as useStateWithValidation } from './hooks/useStateWithValidation';
export { default as useStateWithHistory } from './hooks/useStateWithHistory';
export { default as useCopyToClipboard } from './hooks/useCopyToClipboard';
export { default as useDebugInformation } from './hooks/useDebugInformation';
export { default as useStorage, useSessionStorage, useLocalStorage } from './hooks/useStorage';
