"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useTimeout_1 = tslib_1.__importDefault(require("../useTimeout"));
function useDebounce(callback, delay, dependencies) {
    if (delay === void 0) { delay = 0; }
    if (dependencies === void 0) { dependencies = []; }
    var _a = (0, useTimeout_1.default)(callback, delay), reset = _a.reset, clear = _a.clear;
    (0, react_1.useEffect)(reset, tslib_1.__spreadArray(tslib_1.__spreadArray([], (dependencies), true), [reset], false));
    (0, react_1.useEffect)(clear, []);
}
exports.default = useDebounce;
