"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var isEqual_1 = tslib_1.__importDefault(require("../../util/functions/isEqual"));
function useDeepCompareEffect(callback, dependencies) {
    var currentDependenciesRef = (0, react_1.useRef)();
    if (!(0, isEqual_1.default)(currentDependenciesRef.current, dependencies)) {
        currentDependenciesRef.current = dependencies;
    }
    ;
    (0, react_1.useEffect)(callback, [currentDependenciesRef.current]);
}
exports.default = useDeepCompareEffect;
