"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
var window_1 = tslib_1.__importDefault(require("../../util/window"));
function useWindowSize() {
    var _a, _b;
    var _c = (0, react_1.useState)({ width: (_a = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.innerWidth) !== null && _a !== void 0 ? _a : 0, height: (_b = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.innerHeight) !== null && _b !== void 0 ? _b : 0 }), windowSize = _c[0], setWindowSize = _c[1];
    (0, useEventListener_1.default)("resize", function () {
        var _a, _b;
        setWindowSize({ width: (_a = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.innerWidth) !== null && _a !== void 0 ? _a : 0, height: (_b = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.innerHeight) !== null && _b !== void 0 ? _b : 0 });
    });
    return windowSize;
}
exports.default = useWindowSize;
