"use client";
import { useRef } from "react";
export default function usePrevious(value) {
    var currentRef = useRef(value);
    var previousRef = useRef();
    if (currentRef.current !== value) {
        previousRef.current = currentRef.current;
        currentRef.current = value;
    }
    return previousRef.current;
}
